=== debian/changelog ===
crosstex (0.5.3-1) unstable; urgency=low

  * Initial release.

 -- Robert Burgess <burgess@systems.cs.cornell.edu>  Tue, 29 May 2007 14:39:04 -0400
