=== debian/watch ===
version=3
http://sf.net/crosstex/crosstex-(.*)\.tar\.gz
